NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SimBcPlotContoursBuilder Class Reference

Represents a NXOpen.CAE.SimBcPlotContoursBuilder builder which can be used to generate a plot of a NXOpen.CAE.SimBC in the graphics area. More...

Inheritance diagram for NXOpen.CAE.SimBcPlotContoursBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PlotType { Static, Animation }
 Plot types More...
 
enum  ResolveOverlapType {
  Add, Average, Maximum, Minimum,
  Specify
}
 Resolve overlap types More...
 

Public Member Functions

unsafe NXOpen.CAE.NxBcPlotContours CreatePlotObject ()
 Returns NXOpen.CAE.NxBcPlotContours object More...
 
unsafe NXOpen.CAE.Result CreateResult ()
 Returns NXOpen.CAE.Result object. More...
 
unsafe NXOpen.CAE.SimBC[] GetAvailableBcsToPlot ()
 Returns all available NXOpen.CAE.SimBC to plot More...
 
unsafe void GetAvailablePropertyNamesAndIndicesToPlot (NXOpen.CAE.SimBC tBc, out int[] pPropIndices, out string[] pPropNames)
 Returns all available property names and indices that can be plotted for the specified NXOpen.CAE.SimBC More...
 
unsafe string[] GetAvailablePropertyNamesToPlot (NXOpen.CAE.SimBC tBc)
 Returns all available property names that can be plotted for the specified NXOpen.CAE.SimBC More...
 
unsafe
NXOpen.CAE.SimBcPlotContoursBuilder.PlotType 
GetPlotType ()
 Returns plot type More...
 
unsafe void SetAnimationPoints (double startValue, NXOpen.Unit startUnit, double endValue, NXOpen.Unit endUnit, int numFrames)
 Sets animation points More...
 
unsafe void SetBcsToPlot (NXOpen.CAE.SimBC[] bcs)
 Sets NXOpen.CAE.SimBC objects to plot. More...
 
unsafe void SetBcsToPlot (NXOpen.CAE.SimBC[] bcs, string[] propertyNames)
 Sets NXOpen.CAE.SimBC objects and property names to plot . More...
 
unsafe void SetEvaluationPoints (double[] values, NXOpen.Unit[] units)
 Sets evaluation point More...
 
unsafe void SetPlotType (NXOpen.CAE.SimBcPlotContoursBuilder.PlotType plotType)
 Sets plot type More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int PropertyIndexToPlot [get, set]
 Returns or sets the property index of NXOpen.CAE.SimBC to plot. More...
 
unsafe string PropertyNameToPlot [get, set]
 Returns or sets the property name of NXOpen.CAE.SimBC to plot. More...
 
unsafe
NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapType 
ResolveOverlap [get, set]
 Returns or sets a NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapType used in plot to resolve overlapping values More...
 
unsafe double ResolveOverlapValue [get, set]
 Returns or sets a overlap value to plot. More...
 
unsafe NXOpen.Unit ResolveOverlapValueUnit [get, set]
 Returns or sets a NXOpen.Unit for overlap value to plot. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.SimBcPlotContoursBuilder builder which can be used to generate a plot of a NXOpen.CAE.SimBC in the graphics area.

This is limited to NXOpen.CAE.SimBC objects in the active solution. NXOpen.CAE.SimBcPlotContoursBuilder.CreatePlotObject returns a plot object NXOpen.CAE.NxBcPlotContours whose NXOpen.CAE.NxBcPlotContours.PlotContour plots contour.

To create a new instance of this class, use NXOpen.CAE.SimSimulation.CreateSimBcPlotContoursBuilder

Created in NX8.5.0

Member Enumeration Documentation

Plot types

Enumerator
Static 

Static plot

Animation 

Animation

Resolve overlap types

Enumerator
Add 
Average 
Maximum 
Minimum 
Specify 

Member Function Documentation

unsafe NXOpen.CAE.NxBcPlotContours NXOpen.CAE.SimBcPlotContoursBuilder.CreatePlotObject ( )
inline

Returns NXOpen.CAE.NxBcPlotContours object

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.Result NXOpen.CAE.SimBcPlotContoursBuilder.CreateResult ( )
inline

Returns NXOpen.CAE.Result object.

For time varying result, to get static result at a particular time specify that time using NXOpen.CAE.SimBcPlotContoursBuilder.SetEvaluationPoints and to get transient result for each iteration of time specify the range of time using NXOpen.CAE.SimBcPlotContoursBuilder.SetAnimationPoints .

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.SimBC [] NXOpen.CAE.SimBcPlotContoursBuilder.GetAvailableBcsToPlot ( )
inline

Returns all available NXOpen.CAE.SimBC to plot

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe void NXOpen.CAE.SimBcPlotContoursBuilder.GetAvailablePropertyNamesAndIndicesToPlot ( NXOpen.CAE.SimBC  tBc,
out int[]  pPropIndices,
out string[]  pPropNames 
)
inline

Returns all available property names and indices that can be plotted for the specified NXOpen.CAE.SimBC

Created in NX8.5.0

Deprecated in NX9.0.0. There is no replacement for this method.

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tBc
pPropIndices
pPropNames
unsafe string [] NXOpen.CAE.SimBcPlotContoursBuilder.GetAvailablePropertyNamesToPlot ( NXOpen.CAE.SimBC  tBc)
inline

Returns all available property names that can be plotted for the specified NXOpen.CAE.SimBC

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tBc
Returns
unsafe NXOpen.CAE.SimBcPlotContoursBuilder.PlotType NXOpen.CAE.SimBcPlotContoursBuilder.GetPlotType ( )
inline

Returns plot type

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe void NXOpen.CAE.SimBcPlotContoursBuilder.SetAnimationPoints ( double  startValue,
NXOpen.Unit  startUnit,
double  endValue,
NXOpen.Unit  endUnit,
int  numFrames 
)
inline

Sets animation points

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
startValue
startUnit
endValue
endUnit
numFrames
unsafe void NXOpen.CAE.SimBcPlotContoursBuilder.SetBcsToPlot ( NXOpen.CAE.SimBC[]  bcs)
inline

Sets NXOpen.CAE.SimBC objects to plot.

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
bcs
unsafe void NXOpen.CAE.SimBcPlotContoursBuilder.SetBcsToPlot ( NXOpen.CAE.SimBC[]  bcs,
string[]  propertyNames 
)
inline

Sets NXOpen.CAE.SimBC objects and property names to plot .

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
bcs
propertyNames
unsafe void NXOpen.CAE.SimBcPlotContoursBuilder.SetEvaluationPoints ( double[]  values,
NXOpen.Unit[]  units 
)
inline

Sets evaluation point

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
values
units
unsafe void NXOpen.CAE.SimBcPlotContoursBuilder.SetPlotType ( NXOpen.CAE.SimBcPlotContoursBuilder.PlotType  plotType)
inline

Sets plot type

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
plotType

Property Documentation

unsafe int NXOpen.CAE.SimBcPlotContoursBuilder.PropertyIndexToPlot
getset

Returns or sets the property index of NXOpen.CAE.SimBC to plot.

Created in NX8.5.0

Deprecated in NX9.0.0. There is no replacement for this method.

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.SimBcPlotContoursBuilder.PropertyNameToPlot
getset

Returns or sets the property name of NXOpen.CAE.SimBC to plot.

This name must come from the available property names returned by NXOpen.CAE.SimBcPlotContoursBuilder.GetAvailablePropertyNamesToPlot .

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapType NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlap
getset

Returns or sets a NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapType used in plot to resolve overlapping values

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapValue
getset

Returns or sets a overlap value to plot.

This is used when NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlap is set to NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapType.Specify

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Unit NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapValueUnit
getset

Returns or sets a NXOpen.Unit for overlap value to plot.

This is used when NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlap is set to NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlapType.Specify

Created in NX8.5.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.